## thunderbird 68.7.0+build1

=== testing/talos/requirements.txt ===
jsonschema>=2.5.1
mozlog>=3.1
mozcrash>=0.15
mozfile>=1.2
mozhttpd>=0.7
mozinfo>=0.8
mozprocess>=0.22
mozversion>=1.3
mozprofile>=0.25
mozrunner>=7.1.0
psutil>=3.1.1
simplejson>=2.1.1
requests>=2.9.1
