## thunderbird 68.8.0

=== debian/changelog ===
thunderbird (2:68.8.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 22 May 2020 19:58:51 -0700

thunderbird (1:68.8.0-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 08 May 2020 20:28:20 -0400

thunderbird (1:68.8.0-1) unstable; urgency=medium

  * [9b5ae46] New upstream version 68.8.0
    Fixed CVE issues in upstream version 68.8.0 (MFSA 2020-18):
    CVE-2020-12397: Sender Email Address Spoofing using encoded Unicode
                    characters
    CVE-2020-12387: Use-after-free during worker shutdown
    CVE-2020-6831: Buffer overflow in SCTP chunk input validation
    CVE-2020-12392: Arbitrary local file access with 'Copy as cURL'
    CVE-2020-12393: Devtools' 'Copy as cURL' feature did not fully escape
                    website-controlled data, potentially leading to command
                    injection
    CVE-2020-12395: Memory safety bugs fixed in Thunderbird 68.8.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 May 2020 20:47:29 +0200

thunderbird (1:68.6.0-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 17 Mar 2020 16:34:43 +0100
