## thunderbird 68.8.1

=== debian/changelog ===
thunderbird (2:68.8.1-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 25 May 2020 08:35:40 -0700

thunderbird (1:68.8.1-1) unstable; urgency=medium

  * [7495e7a] New upstream version 68.8.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 May 2020 19:04:20 +0200
