## thunderbird 68.9.0

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.0.1
mozinfo==0.10
mozlog==4.0
mozdebug==0.1.1
pillow==5.4.1
urllib3[secure]==1.24.1
requests==2.21.0
