## thunderbird 68.10.0

=== debian/changelog ===
thunderbird (2:68.10.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 16 Jul 2020 14:38:19 -0700

thunderbird (1:68.10.0-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 Jul 2020 15:29:15 +0200

thunderbird (1:68.10.0-1) unstable; urgency=medium

  * [7537684] New upstream version 68.10.0
    Fixed CVE issues in upstream version 68.10.0 (MFSA 2020-26):
    CVE-2020-12417: Memory corruption due to missing sign-extension for
                    ValueTags on ARM64
    CVE-2020-12418: Information disclosure due to manipulated URL object
    CVE-2020-12419: Use-after-free in nsGlobalWindowInner
    CVE-2020-12420: Use-After-Free when trying to connect to a STUN server
    MFSA-2020-0001: Automatic account setup leaks Microsoft Exchange login
                    credentials
    CVE-2020-12421: Add-On updates did not respect the same certificate trust
                    rules as software updates

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 Jul 2020 10:55:31 +0200

thunderbird (1:68.9.0-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security
    (Closes: #960465)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 May 2020 14:04:32 +0200

thunderbird (1:68.8.0-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 May 2020 14:04:32 +0200
