=== debian/control ===
--- 
+++ 
@@ -11,18 +11,17 @@
  bzip2,
  cargo (>= 0.35),
  cbindgen (>= 0.8.7),
- clang-4.0,
- debhelper (>= 9.20150101~),
+ clang,
+ debhelper (>= 10.2.5~),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
  dpkg-dev (>= 1.16.18~),
- gcc-mozilla,
  libasound2-dev [linux-any],
  libatk-adaptor,
  libbz2-dev,
  libcairo2-dev (>= 1.10.2-1.1~),
- libclang-4.0-dev,
+ libclang-dev,
  libdbus-glib-1-dev (>= 0.60),
  libevent-dev (>= 1.4.1),
  libffi-dev,
@@ -31,9 +30,9 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libgtk-3-dev (>= 3.4),
-# libhunspell-dev (>= 1.5.1~),
-# libicu-dev (>= 59.1~),
-# libjsoncpp-dev,
+ libhunspell-dev (>= 1.5.1~),
+ libicu-dev (>= 59.1~),
+ libjsoncpp-dev,
  libidl-dev (>= 0.8.0),
  libiw-dev [linux-any],
  libnotify-dev,
@@ -42,22 +41,22 @@
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
-# librust-toml-dev,
+ librust-toml-dev,
  libstartup-notification0-dev,
 # libsqlite3-dev (>= 3.28.0~),
-# libvpx-dev (>= 1.5.0),
+ libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
  libxft-dev,
  libxt-dev,
- llvm-4.0-dev,
+ llvm-dev,
  mesa-common-dev,
  mozilla-devscripts,
- nodejs-mozilla (>= 8.11),
-# python-minimal (>= 2.6.6-13~),
-# python-ply,
- python3,
+ nodejs (>= 8.11),
+ python-minimal (>= 2.6.6-13~),
+ python-ply,
+ python2.7,
  rustc (>= 1.34),
  unzip,
  yasm (>= 1.1),
@@ -371,3 +370,5 @@
  .
  This package contains the localization of Thunderbird in Catalan/Valencian.
 
+Package: thunderbird-l10n-cs
+Architecture: all
